# Level Editor

## R5Reloaded In-Game Level Editor

### This tool is in beta. It is not complete.

### We do not take responsibility for any mental or physical harm caused by downloading, using, or modifying the level editor.

#### Getting started:

1. Download [this repo](https://github.com/mostlyfireproof/scripts_r5/tree/SalEditor) and replace your current scripts
   1. back them up first if you have changed anything you want to keep
2. Load in to a game in debug mode
3. Press esc or tab, go to the dev menu, select Editor then Start Editing
4. Press q (your tactical button) to equip the tool

#### Using the tool:

* Set the rotate and snap binds by running `bind "3" "+scriptCommand6"; bind "4" "+scriptCommand1"` in the console
  * Change 3 and 4 to your key of choice
* If you use toggle zoom, you need to bind something to hold aim to change props
* Press b (change fire mode) to enter delete mode

#### Saving and loading:

* Before you start editing, open the console
* [To save and load, use the tool and follow the instructions here](https://github.com/mostlyfireproof/R5RMapEditor)
* **PLEASE SAVE FREQUENTLY**, as the game can and will crash at the worst possible time


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r5reloaded.com/scripting/level-editor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
